aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2022-11-21 17:44:45 +0100
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2022-11-21 17:44:45 +0100
commit2b1aa832ed1baf4f835bc566679e85570452b3ef (patch)
treea14de55baa505f5374d6a9f4299122c2fe556b1a /jjb/common
parent13ceb342ccae029a056ddceee90aaadd0d79cadf (diff)
Add flutter and iceg images for qemux86-64
Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org> Change-Id: Ia89f10a3f6e4bdfa2b6b74af14def7cf0d1818a2
Diffstat (limited to 'jjb/common')
-rw-r--r--jjb/common/include-agl-header.sh2
-rw-r--r--jjb/common/include-agl-set-flutter-demo-image.sh26
-rw-r--r--jjb/common/include-agl-set-iceg-lxc-image.sh4
3 files changed, 29 insertions, 3 deletions
diff --git a/jjb/common/include-agl-header.sh b/jjb/common/include-agl-header.sh
index 6bc70e6f..2380492e 100644
--- a/jjb/common/include-agl-header.sh
+++ b/jjb/common/include-agl-header.sh
@@ -187,7 +187,7 @@ fi
##### needlefish integration
-if test x"master" = x"${TARGETBRANCH}" -o test x"needlefish" = x"${TARGETBRANCH}" ; then
+if test x"master" = x"${TARGETBRANCH}" -o x"needlefish" = x"${TARGETBRANCH}" ; then
if test x"bbe" = x"${TARGETMACHINE}" ; then
echo "Target only works for TELEMATICS PROFILE. Select this:"
echo "TARGETFEATURES=\"${TARGETFEATURESnogfx}\""
diff --git a/jjb/common/include-agl-set-flutter-demo-image.sh b/jjb/common/include-agl-set-flutter-demo-image.sh
new file mode 100644
index 00000000..4b82a502
--- /dev/null
+++ b/jjb/common/include-agl-set-flutter-demo-image.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+# (c) 2016 Jan-Simon Moeller dl9pf(at)gmx.de
+# License GPLv2
+#
+# debugging purposes
+set -e
+
+################################################################################
+## Header
+################################################################################
+
+# only run on master, jellyfish and icefish
+( echo "marlin" | grep -q $TARGETBRANCH ) || exit 0
+
+export TARGETFEATURES="agl-demo agl-devel"
+export TARGETQA=""
+export TARGETIMAGE="agl-ivi-demo-platform-flutter"
+
+eval TARGETIMAGE="$TARGETIMAGE"
+eval TARGETIMAGEnogfx="$TARGETIMAGE"
+
+#if $DEBUG; then
+set | grep ^TARGET || true
+set | grep ^GERRIT || true
+set | grep ^MACHINE || true
+#fi
diff --git a/jjb/common/include-agl-set-iceg-lxc-image.sh b/jjb/common/include-agl-set-iceg-lxc-image.sh
index 1e50cbc7..b16d2be5 100644
--- a/jjb/common/include-agl-set-iceg-lxc-image.sh
+++ b/jjb/common/include-agl-set-iceg-lxc-image.sh
@@ -12,9 +12,9 @@ set -e
# only run on master, jellyfish and icefish
( echo "marlin jellyfish icefish koi lamprey" | grep -q $TARGETBRANCH ) || exit 0
-export TARGETFEATURES="agl-iceg agl-devel"
+export TARGETFEATURES="agl-ic-container agl-devel"
export TARGETQA=""
-export TARGETIMAGE="lxc-host-image-demo"
+export TARGETIMAGE="agl-cluster-demo-lxc-host"
eval TARGETIMAGE="$TARGETIMAGE"
eval TARGETIMAGEnogfx="$TARGETIMAGE"